# Created by pyp2rpm-3.3.2
%global pypi_name natsort

%bcond_with doc

Name:           python-%{pypi_name}
Version:        7.0.1
Release:        %mkrel 2
Summary:        Simple yet flexible natural sorting in Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/SethMMorton/natsort
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fastnumbers) >= 2.0.0
BuildRequires:  python3dist(pyicu) >= 1.0.0
BuildRequires:  python3dist(setuptools)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(m2r)
%endif

%description
Simple yet flexible natural sorting in Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}
Requires:       python3dist(fastnumbers) >= 2.0.0
Requires:       python3dist(pyicu) >= 1.0.0

%description -n python3-%{pypi_name}
Simple yet flexible natural sorting in Python.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%if %{with doc}
%doc html
%endif
%{_bindir}/natsort
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sat Sep 19 2020 joequant <joequant> 7.0.1-2.mga8
+ Revision: 1628802
- bump
- update to 7.0.1
  don't include doc because it breaks with new versions
  of sphinx

* Sat Mar 21 2020 wally <wally> 7.0.1-1.mga8
+ Revision: 1558540
- new version 7.0.1

* Sun Feb 16 2020 umeabot <umeabot> 6.0.0-3.mga8
+ Revision: 1533107
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 6.0.0-2.mga8
+ Revision: 1443253
- rebuild for python-3.8

* Fri Apr 19 2019 wally <wally> 6.0.0-1.mga7
+ Revision: 1393564
- new version 6.0.0

* Thu Jan 17 2019 wally <wally> 5.5.0-1.mga7
+ Revision: 1357736
- imported package python-natsort

